Package org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcUpdateBinarySchemaResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcUpdateBinarySchemaResult

All Implemented Interfaces:
  `JdbcRawBinarylizable`

    public class JdbcUpdateBinarySchemaResult
    extends JdbcResult

JDBC update binary schema result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Constructor Summary

Constructors
`JdbcUpdateBinarySchemaResult​(long reqId, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readBinary​(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`long` `reqId()` Returns ID of initial operation.
`boolean` `success()` Returns status of updating.
`String` `toString()`
`void` `writeBinary​(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcUpdateBinarySchemaResult

    public JdbcUpdateBinarySchemaResult​(long reqId,
                                        boolean success)

Parameters:
  `reqId` - ID of initial request.
  `success` - Status of updating (true if success).

### Method Detail

#### success

    public boolean success()

Returns status of updating.

Returns:
  Status of updating.

#### reqId

    public long reqId()

Returns ID of initial operation.

Returns:
  Id of initial request.

#### writeBinary

    public void writeBinary​(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary​(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcResult`